clear all
close all
% 


%load 1mm cladding data with no cap end

clad1 = load('Profile_Avg_Rows_GlycTiO2_3.csv');
clad1=abs(clad1-min(clad1));
Height = max(clad1);
clad1 = 1e4*clad1/Height;
L1 = length(clad1);

%figure, plot(clad1)
shift=919;
xclad1 = linspace(-shift,L1-shift,L1);
xclad1 = xclad1*2.5/shift;




%theory_clad1 = -log10(abs(xclad1/1000));
%A=1e9; Dgamma = 5; Rclad=2.5;
%theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));
%theory_clad1(xclad1>-0.06 & xclad1<0.06)=NaN; 
A=0.8e3; Dgamma = 0.01; Rclad=2.5;
theory_clad2 = A.*(besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)); %no BesselI only BesselK
theory_clad2(xclad1>-0.08 & xclad1<0.08)=NaN;  

gamma_clad = 2;
Gamma_ratio = sqrt(1-(Dgamma/gamma_clad)^2)

figure, plot(xclad1,clad1,'k'), hold on, %plot(xcore,core*1.4), 
plot(xclad1,theory_clad2,'b')%,xclad1,theory_clad1,'r--')
xlabel('r (cm)')
axis([-2.5 2.5 0 0.5e4])


%load 2mm cladding data with no cap end

clad1 = load('Profile_Avg_Rows_GlycTiO2_4.csv');
clad1=abs(clad1-min(clad1));
Height = max(clad1);
clad1 = 1e4*clad1/Height;
L1 = length(clad1);

%figure, plot(clad1)
shift=918;
xclad1 = linspace(-shift,L1-shift,L1);
xclad1 = xclad1*2.5/shift;
%clad1(xclad1>-0.11 & xclad1<0.11)=NaN; 
Height = max(clad1);


%theory_clad1 = -log10(abs(xclad1/1000));
%A=2.2e8; Dgamma = 4.4; Rclad=2.5;
%theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));
%theory_clad1(xclad1>-0.1 & xclad1<0.1)=NaN; 
A=1.2e3; Dgamma = 1.5; Rclad=2.5;
theory_clad2 = A.*(besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)); %no BesselI only BesselK
theory_clad2(xclad1>-0.11 & xclad1<0.11)=NaN;  


gamma_clad = 2;
Gamma_ratio = sqrt(1-(Dgamma/gamma_clad)^2)

%figure, 
hold on, plot(xclad1,clad1,'k'), hold on, %plot(xcore,core*1.4), 
plot(xclad1,theory_clad2,'b')%,xclad1,theory_clad1,'r--')
xlabel('r (cm)')
axis([-2.5 2.5 0 0.3e4])


%% HDR image
clad1 = load('HDR Straightguide 1mm_Avg_Rows_HDR_1mm_Straightguide_AverageRows.csv');
clad1=abs(clad1-min(clad1));
Height = max(clad1);
clad1 = 1e4*clad1/Height;
L1 = length(clad1);

%figure, plot(clad1)
shift=1042;
xclad1 = linspace(-shift,L1-shift,L1);
xclad1 = xclad1*2.5/shift;
%clad1(xclad1>-0.11 & xclad1<0.11)=NaN; 
Height = max(clad1);


%theory_clad1 = -log10(abs(xclad1/1000));
%A=2.2e8; Dgamma = 4.4; Rclad=2.5;
%theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));
%theory_clad1(xclad1>-0.1 & xclad1<0.1)=NaN; 
A=1.e4; Dgamma = 29; Rcore=0.5;
theory_core = A.*besselj(0,Dgamma.*abs(xclad1)); %no BesselI only BesselK
theory_core(xclad1<-0.072 | xclad1>0.072)=NaN;  



figure, 
hold on, plot(xclad1,clad1,'k'), hold on, %plot(xcore,core*1.4), 
plot(xclad1,theory_core,'b')%,xclad1,theory_clad1,'r--')
xlabel('r (cm)')
axis([-0.2 0.2 2.2e3 1e4])
box on




