clear all
close all

B10mm = load("R_10LE_Final.csv");
B10mm = B10mm./max(B10mm);
L = length(B10mm);
m = find(B10mm==max(B10mm))+4;
x=linspace(-m,L-m,L);

scale = 190;
Fit = 0.99*besselj(0,x*2.4/scale);
Fit(x>scale)=0;
Fit(x<-scale)=0;

xaxis_scale = 1/190;

figure, plot(x*xaxis_scale,B10mm,'k',x*xaxis_scale,Fit)

B20mm = load("R_20_Final.csv");
B20mm = B20mm./max(B20mm);
L = length(B20mm);
m = find(B20mm==max(B20mm))+12;
x=linspace(-m,L-m,L);

scale = 380;
Fit = 0.99*besselj(0,x*2.4/scale);
Fit(x>scale)=0;
Fit(x<-scale)=0;

hold on, plot(x*xaxis_scale,B20mm,'k',x*xaxis_scale,Fit)



B30mm = load("R_25_Final.csv");
B30mm = B30mm./max(B30mm);
L = length(B30mm);
m = find(B30mm==max(B30mm))-25;
x=linspace(-m,L-m,L);

scale = 460;
Fit = 0.99*besselj(0,x*2.4/scale);
Fit(x>scale)=0;
Fit(x<-scale)=0;

hold on, plot(x*xaxis_scale,B30mm,'k',x*xaxis_scale,Fit)

axis([-3 3 0 1])

xlabel('r (cm)')
