clear all
close all

B1 = load("B1_Hz.csv");
B1 = B1-min(B1);
L = length(B1);
m = find(B1==max(B1));



scale = 920/2.5;
x=linspace(-m,L-m,L)-0;
x = x/scale;

Energy_B1=sum(B1)

A=5300;
Fit = A*besselj(0,x*2.4/2.5);
Fit(x>2.5)=0;
Fit(x<-2.5)=0;

B=9200;
Fitcore = B*besselj(0,x*2.4/0.05);
Fitcore(x>0.05 | x<-0.05)=0;

Total_Fit = Fit+Fitcore;

figure, plot(x,B1,'k',x,Total_Fit)

% load B2 data
B2 = load("B2_Hz.csv");
B2 = B2-min(B2);
L = length(B2);
m = find(B2==max(B2));

Energy_B2=sum(B2)

%scale = 185;
x=linspace(-m,L-m,L)-0;
x = x/scale;

A=5250;
Fit = A*besselj(0,x*2.4/2.5);
Fit(x>2.5)=0;
Fit(x<-2.5)=0;

B=6100;
Fitcore = B*besselj(0,x*2.4/0.05);
Fitcore(x>0.05 | x<-0.05)=0;

Total_Fit = Fit+Fitcore;

hold on, plot(x,B2,'r',x,Total_Fit)


% load B3 data
B3 = load("B3_Hz.csv");
B3 = B3-min(B3);
L = length(B3);
m = find(B3==max(B3));

Energy_B3=sum(B3)

%scale = 185;
x=linspace(-m,L-m,L)-0;
x = x/scale;

A=3100;
Fit = A*besselj(0,x*2.4/2.5);
Fit(x>2.5)=0;
Fit(x<-2.5)=0;

B=3200;
Fitcore = B*besselj(0,x*2.4/0.05);
Fitcore(x>0.05 | x<-0.05)=0;

Total_Fit = Fit+Fitcore;

hold on, plot(x,B3,'g',x,Total_Fit)


% load NC data
NC = load("NC_Hz.csv");
B3 = B3-min(B3);
L = length(B3);
m = find(B3==max(B3));

Energy_NC=sum(NC)

%scale = 185;
x=linspace(-m,L-m,L)-0;
x = x/scale;

A=2200;
Fit = A*besselj(0,x*2.4/2.5);
Fit(x>2.5)=0;
Fit(x<-2.5)=0;

Total_Fit = Fit;

hold on, plot(x,NC,'b',x,Total_Fit)



axis([-3 3 0 16000])
xlabel('r (cm)')
