clear all
close all
% 


%load 1mm cladding data with no cap end

clad1 = load('1mm Straightguide.csv');
clad1=abs(clad1-min(clad1));
L1 = length(clad1);

%figure, plot(clad1)
shift=1030;
xclad1 = linspace(-shift,L1-shift,L1);
xclad1 = xclad1*2.5/shift;


%theory_clad1 = -log10(abs(xclad1/1000));
A=1e9; Dgamma = 5; Rclad=2.5;
theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));
theory_clad1(xclad1>-0.06 & xclad1<0.06)=NaN; 
A=1.5e4; Dgamma = 1.8; Rclad=2.5;
theory_clad2 = A.*(besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)); %no BesselI only BesselK
theory_clad2(xclad1>-0.06 & xclad1<0.06)=NaN;  


figure, plot(xclad1,clad1,'k'), hold on, %plot(xcore,core*1.4), 
plot(xclad1,theory_clad2,'b')%,xclad1,theory_clad1,'r--')
xlabel('r (cm)')
axis([-2.5 2.5 0 7e4])


%load 2mm cladding data with no cap end

clad1 = load('2mm Straightguide.csv');
clad1=abs(clad1-min(clad1));
L1 = length(clad1);

%figure, plot(clad1)
shift=1020;
xclad1 = linspace(-shift,L1-shift,L1);
xclad1 = xclad1*2.5/shift;
%clad1(xclad1>-0.11 & xclad1<0.11)=NaN; 


%theory_clad1 = -log10(abs(xclad1/1000));
A=2.2e8; Dgamma = 4.4; Rclad=2.5;
theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));
theory_clad1(xclad1>-0.1 & xclad1<0.1)=NaN; 
A=1.4e4; Dgamma = 1.9; Rclad=2.5;
theory_clad2 = A.*(besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)); %no BesselI only BesselK
theory_clad2(xclad1>-0.11 & xclad1<0.11)=NaN;  


figure, plot(xclad1,clad1,'k'), hold on, %plot(xcore,core*1.4), 
plot(xclad1,theory_clad2,'b')%,xclad1,theory_clad1,'r--')
xlabel('r (cm)')
axis([-2.5 2.5 0 7e4])

%% newer data with cap ends
% %load 1mm cladding data WITH cap end
% 
% clad1 = load('1mm Cladding end cap.csv');
% %clad1=abs(clad1-min(clad1));
% L1 = length(clad1);
% 
% %figure, plot(clad1)
% shift=725;
% xclad1 = linspace(-shift,L1-shift,L1);
% xclad1 = xclad1*(2.5*1.5)/shift;
% 
% 
% %theory_clad1 = -log10(abs(xclad1/1000));
% A=9e3; Dgamma = 2; Rclad=2.5;
% theory_clad1 = A.*((besselk(0,Dgamma.*abs(xclad1))-besselk(0,Dgamma.*Rclad)).*besseli(0,Dgamma.*abs(xclad1))./besseli(0,Dgamma.*Rclad));;
% theory_clad1(xclad1>-0.06 & xclad1<0.06)=NaN; 
% theory_clad1(xclad1>2.5 | xclad1<-2.5)=NaN; 
% 
% 
% figure, plot(xclad1,clad1), hold on, %plot(xcore,core*1.4), 
% plot(xclad1,theory_clad1-000)



