clear all
close all

%% LOAD DATA
A = load("Air_Avg_Rows_Air.csv");
A = A-min(A);

B = load("Milk_Avg_Rows_Milk.csv");
B = B-min(B);

C = load("water_Avg_Rows_water.csv");
C = C-min(C);

C2 = load("Sugar_Avg_Rows_Sugar.csv");
C2 = C2-min(C2);

D = load("Metal_Avg_Rows_Metal.csv");
D = D-min(D);


%% PLOTS
L = length(A);
m = find(A==max(A));
x=linspace(-m,L-m,L);


xaxis_scale = 1/210;
x=x*xaxis_scale;

figure, plot(x,A,x,B,x,C,x,C2,x,D)

axis([-3 3 0 max(A)])

xlabel('r (cm)')
